## 何をしたかったか

Jest でカバレッジを取ると行単位で結果が得られるが三項演算子などで 1 行に条件分岐があるときどうなるか検証したかった

## 結果

foo.test.js:

```js
import foo from "./foo.js";

test("positive number", () => {
  expect(foo(1)).toBe(1);
});

test("negative number", () => {
  expect(foo(-1)).toBe(0);
});
```

```
----------|---------|----------|---------|---------|-------------------
File      | % Stmts | % Branch | % Funcs | % Lines | Uncovered Line #s
----------|---------|----------|---------|---------|-------------------
All files |     100 |      100 |     100 |     100 |
 add.js   |     100 |      100 |     100 |     100 |
 foo.js   |     100 |      100 |     100 |     100 |
----------|---------|----------|---------|---------|-------------------
```

foo.test.js:

```js
import foo from "./foo.js";

test("positive number", () => {
  expect(foo(1)).toBe(1);
});

// test("negative number", () => {
//   expect(foo(-1)).toBe(0);
// });
```

```
----------|---------|----------|---------|---------|-------------------
File      | % Stmts | % Branch | % Funcs | % Lines | Uncovered Line #s
----------|---------|----------|---------|---------|-------------------
All files |     100 |       50 |     100 |     100 |
 add.js   |     100 |      100 |     100 |     100 |
 foo.js   |     100 |       50 |     100 |     100 | 2
----------|---------|----------|---------|---------|-------------------
```

パスを 1 つコメントアウトするとステートメントや関数、行数は 100 %のまま、Branch が 50 % になった。
